|  | Home | Documentation | wst__LifetimeType Struct Reference updated Sat Jun 9 2018 by Robert van Engelen |

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Members

Public Attributes | List of all members
wst__LifetimeType Struct Reference

"http://docs.oasis-open.org/ws-sx/ws-trust/200512/":LifetimeType is a complexType. More...

`#include <wst.h>`

## Public Attributes
char * | wsu__Created
| Imported element reference "http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-wssecurity-utility-1.0.xsd":Created. More...
char * | wsu__Expires
| Imported element reference "http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-wssecurity-utility-1.0.xsd":Expires. More...

## Detailed Description

"http://docs.oasis-open.org/ws-sx/ws-trust/200512/":LifetimeType is a complexType.

struct wst__LifetimeType operations:

- wst__LifetimeType* soap_new_wst__LifetimeType(struct soap*, int num) allocate and default initialize one or more values (array)
- soap_default_wst__LifetimeType(struct soap*, wst__LifetimeType*) default initialize members
- int soap_read_wst__LifetimeType(struct soap*, wst__LifetimeType*) deserialize from a source
- int soap_write_wst__LifetimeType(struct soap*, wst__LifetimeType*) serialize to a sink
- wst__LifetimeType* soap_dup_wst__LifetimeType(struct soap*, wst__LifetimeType* dst, wst__LifetimeType <em>src) returns deep copy of wst__LifetimeType src into dst, copies the (cyclic) graph structure when a context is provided, or (cycle-pruned) tree structure with soap_set_mode(soap, SOAP_XML_TREE) (use soapcpp2 -Ec)
- soap_del_wst__LifetimeType(wst__LifetimeType) deep deletes wst__LifetimeType data members, use only on dst after soap_dup_wst__LifetimeType(NULL, wst__LifetimeType *dst, wst__LifetimeType *src) (use soapcpp2 -Ed)

## Member Data Documentation

char* wst__LifetimeType::wsu__Created

Imported element reference "http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-wssecurity-utility-1.0.xsd":Created.

Optional element.

char* wst__LifetimeType::wsu__Expires

Imported element reference "http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-wssecurity-utility-1.0.xsd":Expires.

Optional element.

The documentation for this struct was generated from the following file:

- wst.h